What Browsers Are Supported?

Please use the supported browsers for the best experience.

It is important that you use a browser that will function fully with Gallopade. Google Chrome is the recommended browser. Google Chrome v64 or later is the preferred browser. You may also use Edge (v42 or later), Firefox (v58 or later), or Safari (v11 or later). It is recommended to keep your browser updated!